summaryrefslogtreecommitdiffstats
path: root/debian/tests/tools-usage
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/tools-usage')
-rwxr-xr-xdebian/tests/tools-usage14
1 files changed, 14 insertions, 0 deletions
diff --git a/debian/tests/tools-usage b/debian/tests/tools-usage
new file mode 100755
index 0000000..07daadf
--- /dev/null
+++ b/debian/tests/tools-usage
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+# Very basic autopkg test to validate the two command line utilities rtrclient
+# and rpki-rov print a usage message when run without any arguments.
+
+for prg in rtrclient rpki-rov ; do
+ out=$("$prg" 2>&1)
+ if ! echo "${out}" | grep -q '^Usage:' ; then
+ echo "Error running ${prg}:" >&2
+ echo "Expected output to start with \"Usage:\", got:\n${out}" >&2
+ exit 1
+ fi
+
+done